Search available Telnyx phone numbers for authenticated users
GET
/api/phone_numbers/available
const url = 'https://example.com/api/phone_numbers/available';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/phone_numbers/available \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”area_code
string
state
string
Responses
Section titled “Responses”Available phone numbers search results
Media typeapplication/json
Array<object>
object
phone_number
string
national_destination_code
string
monthly_cost
string
upfront_cost
string
currency
string
is_owned_pool
boolean
Example
[ { "monthly_cost": "1.00", "upfront_cost": "1.00", "currency": "USD", "is_owned_pool": false }]Unauthorized
Forbidden